; PlatformIO Project Configuration File
;
;   Build options: build flags, source filter
;   Upload options: custom upload port, speed and extra flags
;   Library options: dependencies, extra library storages
;   Advanced options: extra scripting
;
; Please visit documentation for the other options and examples
; https://docs.platformio.org/page/projectconf.html

[env:megaatmega2560]
platform = atmelavr
board = megaatmega2560
framework = arduino
lib_deps = 
	adafruit/Adafruit NeoPixel@^1.7.0
	outofambit/Easy NeoPixels@^0.2.3
	marcoschwartz/LiquidCrystal_I2C@^1.1.4
	mathertel/RotaryEncoder@^1.3.0
	lennarthennigs/Button2@^1.4.0
upload_port = /dev/ttyUSB0
